Subject: J-1,J-2,F-2,DED: package #1.10

From: [email-masked] (Miao Ye)
Date: Thu, 12 Aug 93 21:35:41 CDT

*********************************************************************************	
Subj:	I-94 FORM

HI!  Folks:

I have a question about WORK-CARD AND I-94 FORM:

My wife as a LAD was accepted of her LAD application. She got her I-94 FORM tak
en off by the INS officer when being issued the WORK-CARD.

Is there any LAD having the same situation ? Or some one else can help me
to figure this out if this is a routine INS practice. I am a little
apprehensive at this, 'cause I-94 form is very important.

D.Sui

*********************************************************************************	
        My wife who is a F-2 lad got her application for PR accepted
        with an interview set for December 1, 1993, as well as her work
        authorization card at the spot. It was a 40 minute process,
        not counting the 3 hours' waiting for her number to be called.
        A statement from my school stating that I was in F-1 status up
        until my filing my CSPA applicaiton is needed, but could be
        supplied at the interview, as told by the nice young lady
        officer there. Bank statements showing the past year deposite
        activity was not requested over the regular bank acount
        statement we presented to her, which however is not saying
        that it is not needed at interview time when the PR application
        will be thoroughly reviewed. Other application materials were
        prepared and presented according to a check list posted in the
        net not so long ago (Exact date and source no by hand).

        One of our friends told us that the Detroit INS also accepted
        their DED lad application, but stated very clearly that the
        policy on the DED lad is still pending, and they will not do
        anything on it until recieving further clarification on the
        matter.

        Regarding the work permit (WP) for CSPA principles, my under-
        standing without consulting any specialists yet is that the WP
        applied under the former President Bush's executive order (a
        stamp on the back of your I-94 stating "Employment Authorized
        to Jan. 1, 1994") should be sufficient. I may be wrong, but I
        don't see why it would be invalidated by you filing CSPA PR,
        nor have I seen or heard that it has been. From postings
        in the net, it is obvious that interpretations differ on this
        issue depending on the source, local INSs, lawyers, or
        school international centers.  Under such confused circumstance,
        we may not need to worry over this until further news from the
        INS HQ which may come well after you have gotten your PR or may
        not come at all.

        This is only my thinking and understanding, therefore for
        reference ONLY.

        Wish everybody good luck!

        HX at Michigan State University.

*************************************************************************************
Dear LADs
 I went to local INS yesterday try to file I-485 for my wife(she is a LAD & out
of status because I am in DED status). The local INS officer told me that I
should file I-824 for my wife after Iam been approved. The local INS officer
also told methat because I am out of status, my wife can not apply. Our
International Student advicer said that anyone applied work authorolization
means he automaticlly give up his status and get into DED. 
My questions are :
1. Is anyone knews how to file I-824? Can I file it now? What kinds of shall I
file with?
2. Shall we write to IFCSS ask for help?(I faxed to them before for help but no
responses)
3. If IFCSS do not want to help these LADs, shall we write to the INS
Headquarter?
4. Any better suggestions.
*************************************************************************************
Yesterday I went to the international office in my school. According to
the international studendt advisor, I have to go to local INS(Pittsburgh)
to get work permit before I can receive TA/RA since my filing of I-485
means I am out of student status. But one netter says that Pittsburgh
INS allows us to work on-campus without work permit. It is confusing.

I have a question for netters:
   Do we need to pay tax (federal, state,..) while our applications are
   pending? After our applications are approved?

Y. Ge
*************************************************************************************
 
> 
> Hi, Mr. Cao:
> 
>     On the network, you mentioned the work permit for people
> under the protection of CSPA. You said they could get work
> permit immediately. Have you undergone this process or you heard
> of someone else.  I went to Dallas INS at Irving to apply for
> a work permit. They could not issue it to me immediately, instead
> of in 60-90 days. I felt very frustrated. In the next 60-90 days,
> I will already get the green card, why need the work permit then.
> I don't know if there is regulation or something that the local 
> immigation officer got to abide by to issue a work permit immediately
> for CSPA people. Any advice or suggestion is welcome.
> 
>     Thank you in advance.
> 
> ----------------------------------------------------------------------
> Jianming Xu
> 
I don't know what the situation is in other places. Both my wife (LAD) and
I went to Kansas City INS office and got work permit immediately. That's 
what I know.
******************************************************************************
 
In my opinion, any CSPA principle can still apply work permit
under Bush's Excutive Order 12711, which is no fee.  But the
INS seems forget about it.  Maybe we need to talk to IFCSS or
Dr. Zhao Haiqing about it.
******************************************************************************